####---------- Define MDE ----------####
%define rel 4

%define pclo 1

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%if %pclo
%define release %mkrel %rel
%else
%define distinitials           mdk 
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%disttag.mde
%endif
####---------- Define MDE ----------####


#%define default_skin snes
%define default_skin snsp

Summary: Graphical front-end to snes9x, the SNES emulator
Name: snes9express
Version: 1.42
Release: %release
License: GPL
Group: Emulators
URL: http://www.linuxgames.com/snes9express/
Source0: http://dl.sf.net/snes9express/snes9express-%{version}.tar.gz
Source1: snes.png
Patch0: snes9express-1.42-errno.patch
Patch1: snes9express-1.42-gcc41.patch
Patch2: snes.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gtk2-devel

%description
Snes9express is a graphical interface for the X11 versions of snes9x, the
freeware Super Nintendo Entertainment System (TM) emulator, featuring an
organized layout of common snes9x options.


%prep
%setup
%patch0 -p1 -b .errno
%patch1 -p0 -b .gcc41
%patch2 -p1 -b .skin_fix


%build
%configure
%make


%install
rm -rf %{buildroot}
%makeinstall
echo %{default_skin} > %{buildroot}%{_datadir}/snes9express/defaultskin

#mkdir -p $RPM_BUILD_ROOT%_menudir
#cat << EOF > %buildroot%{_menudir}/%{name}
#?package(%{name}):command="%{name}" \
#	icon="%{name}.png" \
#	needs="X11" \
#	section="More Applications/Emulators" \
#	title="SNES9eXpress" \
#	longtitle="Super Nintendo Entertainment System emulator"
#EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SNES9eXpress
Comment=Super Nintendo Entertainment System emulato
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator
EOF


install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert %{SOURCE1} -size 16x16 ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
convert %{SOURCE1} -size 32x32 ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
convert %{SOURCE1} -size 48x48 ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

#%post
#%update_menus

#%postun
#%clean_menus


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/snes9express
%{_datadir}/snes9express/
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
#%{_menudir}/%{name}
%_datadir/applications/%name.desktop


%changelog
* Wed Jun 06 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.42-4
- Rebuild for pclos2007

* Sun Aug 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.42-3
- Add skin fix, fixes the snsp skin but not the snes skin

* Sun Aug 06 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.42-2
- Rebuilt for mde

* Sun Oct 19 2004 Matthias Saou <http://freshrpms.net/> 1.42-1 #3051
- Initial RPM release.

